org.apache.ignite.internal.processors.cache.mvcc.msg

## Class MvccAckRequestTxAndQueryId

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.mvcc.msg.MvccAckRequestTx
  - - org.apache.ignite.internal.processors.cache.mvcc.msg.MvccAckRequestTxAndQueryId

All Implemented Interfaces:
  Serializable, MvccMessage, Message

    public class MvccAckRequestTxAndQueryId
    extends MvccAckRequestTx

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`MvccAckRequestTxAndQueryId()` Required by `GridIoMessageFactory`.
`MvccAckRequestTxAndQueryId(long futId, long txCntr, long qryTrackerId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`short` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`long` `queryTrackerId()`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class org.apache.ignite.internal.processors.cache.mvcc.msg.MvccAckRequestTx

`futureId, onAckReceived, processedFromNioThread, queryCounter, skipResponse, skipResponse, txCounter, waitForCoordinatorInit`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MvccAckRequestTxAndQueryId

    public MvccAckRequestTxAndQueryId()

Required by `GridIoMessageFactory`.

#### MvccAckRequestTxAndQueryId

    public MvccAckRequestTxAndQueryId(long futId,
                                      long txCntr,
                                      long qryTrackerId)

Parameters:
  `futId` - Future ID.
  `txCntr` - Counter assigned to transaction update.
  `qryTrackerId` - Query tracker id.

### Method Detail

#### queryTrackerId

    public long queryTrackerId()

Overrides:
  `queryTrackerId` in class `MvccAckRequestTx`
Returns:
  Query tracker id.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Overrides:
  `writeTo` in class `MvccAckRequestTx`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Overrides:
  `readFrom` in class `MvccAckRequestTx`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Overrides:
  `directType` in class `MvccAckRequestTx`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Overrides:
  `fieldsCount` in class `MvccAckRequestTx`
Returns:
  Fields count.

#### toString

    public String toString()

Overrides:
  `toString` in class `MvccAckRequestTx`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021